"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.minTotalsFormatter = void 0;
const utilities_1 = require("../services/utilities");
const formatterUtilities_1 = require("../formatters/formatterUtilities");
const minTotalsFormatter = (totals, columnDef, grid) => {
    var _a, _b;
    const field = (_a = columnDef.field) !== null && _a !== void 0 ? _a : '';
    const val = (_b = totals.min) === null || _b === void 0 ? void 0 : _b[field];
    const params = columnDef === null || columnDef === void 0 ? void 0 : columnDef.params;
    const prefix = (params === null || params === void 0 ? void 0 : params.groupFormatterPrefix) || '';
    const suffix = (params === null || params === void 0 ? void 0 : params.groupFormatterSuffix) || '';
    const minDecimal = (0, formatterUtilities_1.getValueFromParamsOrFormatterOptions)('minDecimal', columnDef, grid);
    const maxDecimal = (0, formatterUtilities_1.getValueFromParamsOrFormatterOptions)('maxDecimal', columnDef, grid);
    const decimalSeparator = (0, formatterUtilities_1.getValueFromParamsOrFormatterOptions)('decimalSeparator', columnDef, grid, '.');
    const thousandSeparator = (0, formatterUtilities_1.getValueFromParamsOrFormatterOptions)('thousandSeparator', columnDef, grid, '');
    const displayNegativeNumberWithParentheses = (0, formatterUtilities_1.getValueFromParamsOrFormatterOptions)('displayNegativeNumberWithParentheses', columnDef, grid, false);
    if (val !== null && !isNaN(+val)) {
        const formattedNumber = (0, utilities_1.formatNumber)(val, minDecimal, maxDecimal, displayNegativeNumberWithParentheses, '', '', decimalSeparator, thousandSeparator);
        return `${prefix}${formattedNumber}${suffix}`;
    }
    return '';
};
exports.minTotalsFormatter = minTotalsFormatter;
//# sourceMappingURL=minTotalsFormatter.js.map